package model

import "gorm.io/gorm"

type BundleProfile struct {
	gorm.Model
	UUID      string  `json:"uuid" gorm:"column:uuid;type:varchar(1024);comment:套餐UUID"`
	Name      string  `json:"name" gorm:"column:name;type:varchar(2048);comment:套餐名称"`
	Price     float32 `json:"price" gorm:"column:price;type:decimal(12,2);comment:套餐价格"`
	PriceType int64   `json:"priceType" gorm:"column:price_type;type:int;comment:套餐价格类型 1:人民币 2:美元"`
	Contract  string  `json:"contract" gorm:"type:varchar(1024);comment:合同"`
	Content   string  `json:"content" gorm:"column:content;type:text;comment:套餐内容"`
	Language  string  `json:"language" gorm:"column:language;type:varchar(32);comment:套餐语言 zh-CN EN"`
}
